package top.xinsin.config;

import org.springframework.boot.SpringBootConfiguration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * @author xinsin
 * Created On 2023/4/3 15:55
 * @version 1.0
 */
@SpringBootConfiguration
public class GlobalWebMvcConfig implements WebMvcConfigurer {
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        registry.addMapping("/**")
                .allowCredentials(true)
                .allowedOriginPatterns("*")
                .allowedMethods("GET", "POST", "DELETE", "PUT", "HEAD")
                .allowedHeaders("*")
                .exposedHeaders("*");
    }
}
